/* Copyright (C) 2003, 2004 IRCtoo Network, Pasi Hirvonen <psh@iki.fi> */

#ifndef _LOG_H_
#define _LOG_H_
#include <stdio.h>

typedef enum e_lognums {LOG_INFO, LOG_DEBUG, LOG_AUTOKILL, LOG_KILL,
			LOG_REPORT, LOG_MISC, LOG_FATAL, LOG_NORMAL, LOG_ERROR,
			LOG_SENT, LOG_RECV} lognums;
void s_log(lognums, const char *, ...);
void s_log_close_handles(void);
FILE *s_get_log_fp(lognums);
const char *s_get_log_filename(lognums level);
#endif /* _LOG_H_ */
